{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Responder Mensaje {% endblock title %}

{% block stylesheets %}
  <link href="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css') }}" rel="stylesheet" type="text/css">
	<style>
		.has-feedback .form-control {
		    padding-right: 50%;
		}
		.form-control-feedback {
			top: 0px !important;
		}
    .dtl_user{
      font-size: 16px;
      text-align: center;
      float: left;
      margin: 2px;
      width:49%;
    }

    .del_user {
      font-size: 26px !important;
      position: relative;
      float: right;
      margin-top: -7%;
    }
	</style>	
{% endblock %}

{% block body -%}
        
        <section class="content-header">
          <h1>
            Inbox
          </h1>
        </section>       

        <section class="content">
        	<div class="row">
            
            <div class="col-md-3">
              <a href="{{ path('new_message') }}" class="btn btn-primary btn-block margin-bottom">
                <i class="fa fa-pencil-square-o"></i>&nbsp;&nbsp;Nuevo mensaje
              </a>
              <div class="box box-solid">
                <div class="box-header with-border">
                  <h3 class="box-title">Herramientas</h3>
                </div>
                <div class="box-body no-padding">
                  <ul class="nav nav-pills nav-stacked">
                    <li><a href="{{ path('show_inbox') }}"><i class="fa fa-inbox"></i> Inbox (No leidos) <span class="label label-primary pull-right" id="load_total_inbox3">0</span></a></li>
                    <li><a href="{{ path('show_inbox_send') }}"><i class="fa fa-arrow-circle-right"></i> Mensajes Enviados</a></li>
                    <li><a href="{{ path('show_inbox_delete') }}"><i class="fa fa-times-circle-o"></i> Mensajes Eliminados</a></li>
                    <li><a href="{{ path('show_inbox_leidos') }}"><i class="glyphicon glyphicon-eye-open"></i> Mensajes Leidos</a></li>
                  </ul>
                </div><!-- /.box-body -->
              </div><!-- /. box -->
            </div><!-- /.col -->

            <div class="col-md-9">
              <div class="box box-primary">
                <div class="box-header with-border">
                  <h3 class="box-title">Responder Mensaje</h3>
                </div><!-- /.box-header -->
                <div class="box-body">                  
                  <div class="form-group">
                    <label>Para:</label>
                    <div id="msj_para" placeholder="Para:" class="form-control" style="resize: none; max-height: 100px; height: auto; overflow: auto;" readonly="readonly">
                      {{ CC }}
                    </div>
                  </div>
                  <div class="form-group">
                    <label>Asunto:</label>
                    <input class="form-control" id="msj_asunto" placeholder="Asunto:" value="RE: {{ Info.Asunto }}" readonly="readonly"/>
                  </div>
                  <div class="form-group">
                    <label>Cuerpo del Mensaje:</label>
                    <textarea id="msj_cuerpo" class="form-control" style="height: 300px;resize:none;" placeholder="</br></br></br>﻿﻿-------------------------------------------------------------- Mensaje Original ----------------------------------------------------</br>{{ Info.Cuerpo|raw }}"></textarea>
                  </div>
                </div><!-- /.box-body -->
                <div class="box-footer">
                  <div class="pull-right">
                    <button type="button" class="btn btn-primary" onclick="sendMsj({{ Info.idMensaje }})"><i class="fa fa-envelope-o"></i> Enviar</button>
                  </div>
                  <button class="btn btn-default" onclick="document.location.href= '{{ path('show_message', { 'id': Info.idMensaje  }) }}';showLoading('Cancelando Respuesta')"><i class="fa fa-times"></i> Cancelar</button>
                </div><!-- /.box-footer -->
              </div><!-- /. box -->
            </div><!-- /.col -->

          </div><!-- /.row -->
        </section>	
{% endblock %}

{% block javascripts %}
	<script src="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js') }}" type="text/javascript"></script>
  <script src="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap-wysihtml5.es-ES.js') }}"></script>
	<script>



  $(document).ready(function() { 

        $("#msj_cuerpo").wysihtml5({
            "link": false,
            "image": false,
            locale: "es-ES"
        });

      
  });

 
  function sendMsj(idMensaje){
    var mensaje = $('#msj_cuerpo').val();
    var asunto = $('#msj_asunto').val();
    
      if(mensaje && asunto){
        showLoading('Enviando Mensaje');
        var urlSendMensaje = "{{path('responder_inbox')}}";

        $.post(urlSendMensaje, {idmensaje:idMensaje,mensaje:mensaje,asunto:asunto}, function(data, textStatus, xhr) {
            if(data.estatus == 1){
              document.location.href= data.mensaje;
            }else{
              alert(data.mensaje);
              hideLoading();
            }
        }); 

        

      }else{
        alert("Debe ingresar:</br>->Asunto</br>->Cuerpo del Mensaje");
      }
  }
	</script>

{% endblock %}